
D4Science Infrastructure - Task #844

Provide nagios checks for webapp running on "statbase1.smartfish.d4science.org"

Oct 01, 2015 10:16 AM - Roberto Cirillo

Status: Closed Start date: Sep 30, 2015

Priority: Normal Due date:  

Assignee: _InfraScience Systems Engineer % Done: 100%

Category: System Application Estimated time: 0.00 hour

Target version: Nagios monitoring   

Infrastructure: Production   

Description

The webapp is running under tomcat (port 8080) with an Apache proxy. The proxy is on the port 80 and forwards to port 8080. The

user is root.

The machine and the service is not maintained by CNR.

We should enable the standard nagios checks for tomcat and one more specific check for the webapp through the following http url:

http://statbase1.smartfish.d4science.org/statbase/StartPage.action?request_locale=en

Related issues:

Related to D4Science Infrastructure - Task #741: Investigate the usage of the... Closed Sep 23, 2015

History

#1 - Oct 01, 2015 10:16 AM - Roberto Cirillo

- Related to Task #741: Investigate the usage of the e-Infrastructure via StatBase added

#2 - Dec 03, 2015 05:24 PM - Andrea Dell'Amico

- Target version changed from System Configuration  to Nagios monitoring

#3 - Jan 19, 2016 08:01 PM - Andrea Dell'Amico

- Status changed from New to In Progress

- % Done changed from 0 to 100

Done.

#4 - Jan 19, 2016 08:01 PM - Andrea Dell'Amico

- Status changed from In Progress to Feedback

#5 - Jan 19, 2016 08:22 PM - Andrea Dell'Amico

- % Done changed from 100 to 90

Roberto Cirillo wrote:

http://statbase1.smartfish.d4science.org/statbase/StartPage.action?request_locale=en

 

This URL returns a "302 moved temporarily" when invoked by the nagios check. Is there something more solid that can be used?

#6 - Jan 20, 2016 10:43 AM - Roberto Cirillo

I don't know this. I've added @gianpaolo.coro@isti.cnr.it  as watcher maybe he can help us. Anyway, I've checked this link via browser and the

application seems to work.

#7 - Jan 20, 2016 11:03 AM - Gianpaolo Coro

The application works on that link. If it is not available sometimes it's because they are working on the application.

#8 - Jan 20, 2016 11:42 AM - Andrea Dell'Amico

Gianpaolo Coro wrote:
The application works on that link. If it is not available sometimes it's because they are working on the application.

 The application is available, the question is about the redirection. If there's a URL that answers with a 200 and a web page that I can scrape the

better, otherwise the actual check will raise an alert when something different than 2xx or 30x is returned.

#9 - Jan 20, 2016 04:05 PM - Andrea Dell'Amico

- Status changed from Feedback to Closed

- % Done changed from 90 to 100
